﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 달력 항목
    /// </summary>
    public class CalendarItem
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 일자 - Date

        /// <summary>
        /// 일자
        /// </summary>
        public DateTime Date { get; set; }

        #endregion
        #region 행 인덱스 - RowIndex

        /// <summary>
        /// 행 인덱스
        /// </summary>
        public int RowIndex { get; set; }

        #endregion
        #region 컬럼 인덱스 - ColumnIndex

        /// <summary>
        /// 컬럼 인덱스
        /// </summary>
        public int ColumnIndex { get; set; }

        #endregion
        #region 전월 여부 - IsPreviousMonth

        /// <summary>
        /// 전월 여부
        /// </summary>
        public bool IsPreviousMonth { get; set; }

        #endregion
        #region 익월 여부 - IsNexMonth

        /// <summary>
        /// 익월 여부
        /// </summary>
        public bool IsNexMonth { get; set; }

        #endregion
        #region 당일 여부 - IsToday

        /// <summary>
        /// 당일 여부
        /// </summary>
        public bool IsToday { get; set; }

        #endregion
        #region 월 타입 - MonthType

        /// <summary>
        /// 월 타입
        /// </summary>
        public string MonthType
        {
            get
            {
                if(IsPreviousMonth && !IsNexMonth)
                {
                    return "전월";
                }
                else if(!IsPreviousMonth && IsNexMonth)
                {
                    return "익월";
                }
                else
                {
                    return "당월";
                }
                
            }
        }

        #endregion
        #region 내용 리스트 - ContentList

        /// <summary>
        /// 내용 리스트
        /// </summary>
        public List<string> ContentList { get; set; } = new List<string>();

        #endregion
    }
}