﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 내용 입력 팝업
    /// </summary>
    public partial class InputContentPopupForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 일자 레이블 - DateLabel

        /// <summary>
        /// 일자 레이블
        /// </summary>
        public string DateLabel
        {
            get
            {
                return this.dateLabel.Text;
            }
            set
            {
                this.dateLabel.Text = value;
            }
        }

        #endregion
        #region 내용 - Content

        /// <summary>
        /// 내용
        /// </summary>
        public string Content
        {
            get
            {
                return this.contentTextBox.Text;
            }
            set
            {
                this.contentTextBox.Text = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - InputContentPopupForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public InputContentPopupForm()
        {
            InitializeComponent();

            this.okButton.Click     += okButton_Click;
            this.cancelButton.Click += cancelButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 확인 버튼 클릭시 처리하기 - okButton_Click(sender, e)

        /// <summary>
        /// 확인 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void okButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;

            Close();
        }

        #endregion
        #region 취소 버튼 클릭시 처리하기 - cancelButton_Click(sender, e)

        /// <summary>
        /// 취소 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void cancelButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;

            Close();
        }

        #endregion
    }
}